Subject: Re: IRQ2-4 number to use on mpc83xx?

From: Andre Schwarz <[email-masked]>
Date: Tue, 23 Sep 2008 11:08:53 +0200

I can only tell how I do on MPC834x :

Table 8-6. IVEC/CVEC/MVEC Field Definition

Interrupt ID Number         Interrupt Meaning
17                                           IRQ1
18                                           IRQ2
19                                           IRQ3
20                                           IRQ4
21                                           IRQ5
22                                           IRQ6
23                                           IRQ7
48                                           IRQ0

Given this I can use this dts section for PCI devices connected @ IRQ0
and IRQ1

interrupt-map = <0x5800 0 0 1 &ipic 0x30 0x8
                                 0x6000 0 0 1 &ipic 0x11 0x8
                                 0x6000 0 0 2 &ipic 0x11 0x8>;

You should be able to use IRQ-Nr 18-20 for IRQ2-4.

regards,
Andre

Tjernlund schrieb:
> I am trying to figure out what IRQ number I should use for 
> external IRQ pins IRQ2-4. Can somebody please drop me a note
> on how the IRQ numbering works?
>
>     Jocke 
>
> _______________________________________________
> Linuxppc-dev mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-dev
>   

MATRIX VISION GmbH, Talstraße 16, DE-71570 Oppenweiler  - Registergericht: Amtsgericht Stuttgart, HRB 271090
Geschäftsführer: Gerhard Thullner, Werner Armingeon, Uwe Furtner